MSW NOTE: wx1.66 added support for interlaced GIFs but not my mods
for transparent backgrounds, so you will still need the WXIMAGE
stuff for MSW use. Copy into the wx\utils\wximage\win directory.

TABLES: still incomplete but gradually getting better.

FORMS: don't go too well with TABLES at the moment.

XVIEW: not working too good?


December 18, 1996 (WXWEB217)
---------------------------

301) Fix up frame creep problem under X windows.

300) Add bookmarks facility. Automatically imports Netscape
Navigator bookmarks.

299) Redo FRAMES so as not to use panel on panel. This should
work better on X Windows and avoid a WX Windows problem with
child windows (this means you don't have to do 171 below).

298) Scrollbar space was not being reclaimed leaving dead area on
the page.

297) Fix (well, get around actually) Motif clear problem.

296) Fix crash problem when shutting down while a download is in
progress.

295) Allow multiple oustanding requests (default to 4).

294) Implement (non-persistent) cookies.

293) Wasn't allowing for new-lines inside tags!

292) Alignment fixes (especially in tables).

291) Fixed bug whereby nested table heights were weird.

281) Fixed bug in SockHandler class.

280) Various XWindows fixes.

279) Improve frames and fix problem whereby frames wouldn't work
in MSVC++ debug mode.

278) Wasn't deleting <FORM> items properly.

277) Set the <BASE href=> when sending HTML mail (in addition
to the "Content-Base:" MIME tag) as this helps MS Exchange
(and other non-inline HTML viewers).


December 2, 1996 (WXWEB216)
--------------------------

276) Fix spurious painting while waiting for page to load.

275) Get 301 & 302 redirections working.

274) Fix alignment problem with left-floating images.


Novmeber 27, 1996 (WXWEB215)
---------------------------

273) The HTTP stuff has been split-out (at last) to a separate
class.

272) Use hash-table instead of list for cache lookups. Don't save
cache to disk *every* time an object is fetched.

271) Change to using the ANSI 'string' class or equivalent. See the
ANSI_STRING define.

270) Fix up DIVs properly.


Novmeber 21, 1996 (WXWEB214)
---------------------------

269) Fix another bug with META refresh.

268) Fix bug whereby proxy was recognized as target host.

267) Now SSL enabled! To compile you will need to get a hold of
the freeware SSL implementation from SSLeay (the same one used
in Apache-SSL with which I tested this). See copyright notice
in the docs directory.


Novmeber 19, 1996 (WXWEB213)
---------------------------

266) Meta refresh wasn't working.

265) Fix bug in wbima.cpp where bitmaps >64k caused havaoc under WIN16.

264) Fix bug where relative paths were wrong for file:// browsing.

263) Clean up for WIN16 build.

262) More work on editing.


October 25, 1996 (WXWEB212)
--------------------------

262) More work on editing.

261) Improve aligment with use of different sized fonts.


October 19, 1996 (WXWEB211)
--------------------------

260) Fix bug in POP client for 'RETR' command. Seems the message
length count that is returned is not to be relied upon.

259) Allow HTML content type in SMTP mail.

258) Add multipart MIME attachments to SMTP mail.


October 17, 1996 (WXWEB210)
--------------------------

257) Implement HTTP 'PUT' action in both server & client. In edit
mode the SAVE button will do a 'PUT' on an HTTP object or file save-as
on a FILE object.

256) Fix silly line-wrap bug during parse.

255) Got rid of all 142 of the MSVC++ warning messages about int
to float conversions!

254) WYSIWYG editing basically functional.


October 4, 1996 (WXWEB209)
--------------------------

253) Right-margin was 'overly generous'.

252) Wasn't wrapping lines that contained an anchor reference.

251) Include patch for \wx\src\msw\wx_win.cpp to enable a wxPanel
to pass on key presses when in edit-mode (see 'patch1.txt' for
details).


September 22, 1996 (WXWEB208)
----------------------------

250) Modify wxHTTPd to process server-side includes (.shtml and .sht).
This is based on file-extension only.

249) Change the directory for temporary files e.g. cache. Looks for
an environment variable WXWEB_PATH or TEMP or TMP or else as a last
resort uses the current working directory. This should allow running
off read-only media such as CD-ROM.


September 20, 1996 (WXWEB207)
----------------------------

248) A few WSML changes to generate 'unchanged' HTML rather than
correct bad or illegal constructs.

247) Change WX compilation options to generate smaller MSW binaries
and to not use CTL3D so the *may* run under Windows for Worhgoups
with WIN32S (waiting to hear back on this one).

246) Anchors around images had an incorrect height setting.

245) Fix ANCHORS in TABLES becoming 'lost'.

244) <OPTION value=???> wasn't recognized in <SELECT>.

243) Wasn't recognizing lowercase "get" or "post" as form method!

242) Allow multiple 'submit' buttons on a form.

241) Fix some problems with tables.

240) Fix hidden fields in forms.

239) Minor tweaking.


September 16, 1996 (WXWEB206)
----------------------------

238) A few bug fixes relating to CGI output and mime-types.


September 15, 1996 (WXWEB205)
----------------------------

237) Get <META> working for 'refresh' and 'no-cache'.

236) Finally allow URLs to be specified without the http:// prefix.

235) Misc fixes with displaying NOT FOUND items.

234) Fixed a problem with the verify code.

233) Implement 'mailto' using the SMTP client.

232) Add FTP transfer thru proxies (as they do all the work!).

231) Added JPEG and PNG support for MSW. The relevant files are under
the WXIMAGE sub-directory of WXWEB.

230) Add link verification for a site. Will follow all links local to
the site in question, effectively 'grabbing' all it's pages. If used
with the persistent caching option then the pages will be retained
for later use and can be accessed off-line.

229) Finally fixed excessive flashing!

228) Do some more work with HTTP/1.1 persistent connections (seems to
work with Apache 1.1.1).

227) Wasn't including port-number as part of the cached URL leading
to confusion with multi-server sites.

226) More miscellaneous fixes to drawing.

225) Added SMTP client class for sending mail (see also POP3 client
class for retrieving mail).

224) Fix bug caused adding HEAD request code (cache wasn't working).

223) Fix up floating images.

222) Wasn't clearing the canvas if the background image could not
be loaded.

221) Gone back to using AString instead of wxString and ListOf
instead of wxList for performance reasons.


August 10, 1996 (WXWEB204)
-------------------------

220) Allow for HEAD requests and modify caching code to know
the difference.

219) Add verify-links option if site-mode enabled.

218) Allow for 'https' protocol scheme (and treat same as
the 'http' scheme).

217) More bug fixes and changes to WSML.

216) Got polygon regions working in client-side image maps.

215) Wasn't setting line height for images hence a <BR> or <P>
after an <IMG> was wrong.

214) Improve tables (especially lists in cells).

213) Fix up non-functioning STOP button in browser.

212) Fix bug in WXHTTPD whereby implied 'index.html' not
always picked up.

211) Try and fix flashing on setting background BODY colour.

210) Implement standard HTML 3.2+ colour names and values.


July 16, 1996 (WXWEB203)
-----------------------

209) Fixed some bugs in WXHTTPD relating to return of error
messages.

208) Fixed bug with Config dialog-box in wxweb.cpp file. Turns out
you don't delete a modal dialog, you just do a Show(FALSE).

207) Table rows were not resetting the font family.

206) Changed default font from wxDEFAULT to wxROMAN to agree with
other browsers (though I think it's more ugly).

205) All platforms now generate a library file in the LIB sub-
directory when using makefiles.

204) WXHTTPD now compiles and runs with MSVC++ v4. I think there is a
bug in MS's implementation of ifstream::bad(). Also, ios::nocreate
is not on by default for ifstreams (opposite standards spec).

203) Fixed up some missplaced font style settings.


June 23, 1996 (WXWEB202)
-----------------------

202) Added menu item to toggle use of tables in wxweb browser. I
wish Netscape would do this.

201) Implemented a POP3 client in the 'PopClient' class. Refer to
POPMAIL.H and POPMAIL.CC for details. Needed this for something else
so dumped it into here. Doesn't delete mail from server or store
any userid or password information!

200) Implement <BR clear=left|right|all> properly.

199) Implement <? align=right> for <P> and <Hn>.

198) Stop <CENTER> in a cell from stuffing things up. It doesn't
work but at least it looks normal now.

197) Fixed up left margins in table cells.

196) Fixed up ALIGN and VALIGN for tables.

195) Remove spurious lines that could occur between cells and rows
due to LFs in text.

194) Get CELLPADDING & CELLSPACING to work.

193) Change in WXWEB.CC for wxGetResource/wxSetResource, use .WXWEB
resource file instead of default.

192) Start on TABLES implementation.

191) Add both HTTP "Pragma: no-cache" and the HTML tag
<META HTTP-EQUIV="Pragma" CONTENT="no-cache">.

190) Added <BASE target=frame> for default targets. Where 'frame'
can be any of the usual suspects.


May 29, 1996 (WXWEB201)
----------------------

189) Got rid of my versions of wx modules that have migrated into
the main wx release.

188) Now set #pragma in imagif.cpp for MSVC as well as BC++. For
other Windows compilers you will need to do same. Let me know
what it is.

186) Sort out imatest difference with wx\utils\wximage, mainly
MSVC compiler differences.

185) Fix bug with 'target=_top' in frames.

184) Add support for ALIGN= and CLEAR= on <Hn> tags.

183) Compensate for misleading frame size specifications!

182) Fixed bug whereby lists that overflowed horizontal area
could cause an infinite loop in the parser.

181) Added menu item to toggle use of frames in wxweb browser. I
wish Netscape would do this.

180) Added wxHtml::SetFrames(Bool state) to programmatically
control the use of frames.

178) Add #if USE_HTML_FRAMES=[0|1] test. If not defined then '1'
is assumed. Note: this is a value test, not an existence test.
Turn off frames if it seems to act a little weird.

177) Oops, finally added <NOFRAMES> </NOFRAMES> support!

176) Added proxy support in the client. See menu dialog box.

175) Links can be copied to the clipboard with a right-click.

174) Implement go-back in frame popup on a right-click.

173) Client-side image maps are fixed

172) Authentication seems to be broken on the client-side.

171) To support FRAMES you must comment out the AddChild() call
in wx\src\msw\wx_panel.cpp function Create(). There doesn't seem
to be a programmatic work-around for this at the moment, sorry.

170) Re-enable the 'location' text-entry field on the main
browser frame of wxweb.cc, now called "Document".

169) Add 'Bool wxHtml::OnUserOpen()' so that user can veto an
open programmatically.

168) Add support for comments <!-- blah blah --> so we can skip
over all that Java code.

167) Add <STRIKE></STRIKE> for strikethru text, which is in HTML 3.2
(while still supporting the old <S></S> format for MS).

166) Add frames.

165) Support the new HTTP/1.1 persistent connections (a modified
version of keep-alives) protocol.

163) Persistent cache.

162) Speed-up redraw of graphic images.

161) Improve keep-alives in the client and server for better
persistent connections.

160) Compile wxWindows (1.66) and wxWeb with alignment set
to 4 bytes (for BC++ 4.5/32/bit) but use #pragma in imagif.cc
coz it must be aligned to 1 byte.

159) Use WXSTRING in place of ASTRING (must have GNU string option
set though), and use wxList for ALL list operations. This entails
quite a performance hit but simplifies things so is probably
worth it.


May 2, 1996 (WXWEB200)
----------------------

158) Add all ISO special character definitions i.e. &XXX;

157) Added <QUOTE>, <ABSTRACT>, <FOOTNOTE> & <MARGIN>.

156) Get forms scrolling again properly.

155) Foolishly start on a WYSIWYG editing mode.


March 11, 1996 (WXWEB120)
-----------------------

154) Add support for font face-names i.e. <FONT face=>
where the face-name can be 'Arial', 'Lucida Sans' or
'Times Roman'. This is a Microsoft extension.

153) Add support for strikethru text <S></S> This is a
microsoft extension.

152) Redo parsing engine. Now much quicker at scrolling
and redrawing.


March 3, 1996 (WXWEB119)
-----------------------

151) Use holding buffer for ALL output. This is to allow
centering of images within text (and eventually to help
with generating tables).


February 28, 1996 (WXWEB118)
---------------------------

150) Add client-side image maps i.e. <IMG usemap ...>
and <MAP><AREA></MAP> keywords. Note: not all browsers
currently support 'usemap' so it's probably best to use
BOTH 'usemap' and 'ismap', coz if both are present and
supported then 'usemap' will win. An image-mapper would
be a nice utility to write sometime. Currently only
rectangular shapes are supported.

149) Left-floating images were screwing up anchor
pointing.

148) Set a 'hand' cursor when over an anchor.

147) Add server-side image maps i.e. <IMG ismap ...>
where the x and y click co-ordinates get appended to the
query string i.e. URL?x,y

146) Add support for <BASEFONT size=n> keyword (n=1 to 7)
where n=2 is normal (default) size.

145) Make the map data for known-space persistent.


February 26, 1996 (WXWEB117)
---------------------------

144) Add clickable items in map of known-space (please copy
wxtree.h & wxtree.cc to wx/utils/wxtree/src and remake that
utility unless you have release 1.66(??) of wxWindows.

143) Was not setting the extent properly for right-floating
images if that was the last thing drawn.

142) Fix deleting cache files after changing directories (again).

141) Implemented right adjusted floating images.

140) In wxweb.cc produce a map of 'known-space' from the list
of visited URLs.

139) Added 'Basic' HTTP authentication scheme to both server
and client.

138) Allow for rogue '<' characters as may be found in the
wxwindows HTML documentation.

137) Add 'Save as...' menu item in view-source edit window.

136) Implement a holding buffer for tags to allow deferred
disposition determination. Which in plain English means it
now does centering properly!

135) Fix up <FONT size=> and </FONT>.


February 18, 1996 (WXWEB116)
---------------------------

134) Stop double-drawing deferred images.

133) We now have transparent GIFs (MSW only at present).

132) If outstanding requests at file exit time then cancel them
and reject the exit (acts like a stop).

131) Disable use of the system close box as it still sometimes
crashes.

130) Use a transparent brush when drawing place-holders for
images so that transparent GIFs whill show thru to any
wallpaper (if present).


February 15, 1996 (WXWEB115)
---------------------------

129) Only play AVI files on the initial display, not every
time the canvas is refreshed (add re-play on a click event
some day).

128) MCI didn't like floating-point co-ordinates to display
an AVI movie in, so cast them to ints.

127) Add new <INPUT type=file> form item that implements
file uploads (no supporting code yet). Very few (well, to
my knowlege none) browsers and servers yet implement this.

126) wxHtml now takes a wxWindow* as an argument rather than
a wxFrame*, and created a virtual wxHtml::OnSetStatustext()
function which by default does nothing, but the wxWWW::
derived version looks for an ancestor that is a wxFrame and
does a SetStatusText() onto it. Override this behaviour if
you don't like.

125) Align form items to middle of text, and change CHECKBOX
type to agree with MS & Netscape syntax and not the HTML3
standard.

124) Fix mmsystem.h stuff-up.


February 8, 1996 (WXWEB114)
--------------------------

123) Fix bug whereby line-wrapping sometimes failed.

122) Try and improve <HR> spacing somewhat.

121) handle URLs of th form '/path' properly.

120) Unreachable hosts should only be sin-binned for 60
seconds rather than being permanently sent off.

119) Fix up '~' tildes (again).

118) Implement background file transfers (but only one
at a time).

117) Play an inline AVI file via <IMG dynsrc=avifile...>
you must also specifiy a SRC= and WIDTH= and HEIGHT=
(refer msie.htm document).

116) IMG now does a stretch-blit (MSW only!) if specified
width and height do not match image attributes.

115) Made some changes to allow control of wxHtml from
client classes (mostly by virtualizing some methods).


February 3, 1996 (WXWEB113)
--------------------------

114) Include path in temp filenames so we don't lose our-
selves when using the file-open dialog to change dirs
(changes current working directory under Win95 at least).

113) Fix up the background not clearing properly under some
circumstances by always setting modes on a paint event.

112) Fix nasty bug whereby if a text item was too wide to
fit on a line it would go into an infite loop.

111) Split htmldraw.cc into two with htmlpars.cc doing the
parsing and htmldraw.cc handling the tags.

110) Add <NOBR> and </NOBR> to turn off auto line-breaking,
and added <WBR> which inserts a line-break when in <NOBR>
mode (how does this differ from plain old <BR> then???).

109) Fix wxhttpd system close (was hanging in main loop).

108) Allow for URLs of the form ~file.

107) Create Borland makefiles for wxhttpd & survey.


January 31, 1996 (WXWEB112)
--------------------------

106) Split off wxwww.h to match wxwww.cc source.

105) Add the <META> keyword (Netscape extension) to
implement client-side pull of a URL on a periodic basis.

104) Put a check in <BODY> such that if both BGCOLOR= and
BACKGROUND= are specified, then BACKGROUND= will win.

103) Added the Microsoft extensions document msie.htm for
reference purposes (it also lists the Netscape extensions,
or at least the ones that MS Internet Explorer supports).

102) Add <BGSOUND src=url> for playing WAV or MIDI files
(MSW only).

101) Add <FONT color=color> to change current text color,
syntax is same as <BODY text=color>, and <FONT size=[+/-]size>
as well.

100) Add <COMMENT> & </COMMENT> for unprintable stuff.

99) Change <ADDRESS> to just display in italics.

98) Add support for <LI type=??? value=???> where 'type'
can be 'A' = uppercase alpha, 'a' = lowercase, 'I' =
uppercase roman, 'i' = lowercase, '1' = numeric.

97) Ongoing quest to eliminate flashing AND have scroll-
bars appear under MSW continues. Latest loser is the
scrollbars.

96) Add settable background colour in marquee e.g.
<MARQUEE bgcolor=CYAN>...</MARQUEE>

95) Fix <IMG align=bottom>.

94) Re-introduce 'floating' images, but only with left
alignment i.e. <IMG ALIGN=LEFT ...> and <BR CLEAR=LEFT>
to stop text flowing (i.e. moves below image).


January 23, 1996 (WXWEB111)
--------------------------

93) Lots more fixes.

92) Save home page definition in wxweb.cc

91) Save & restore frame size and position in
wxweb.cc

90) Lots of little bug and parsing fixes.

89) Add <MARQUEE>some text</MARQUEE> for a scolling
ticker-tape area. This is an Microsoft extension.

88) Couldn't compile if USE_WXIMAGE wasn't defined (in
MSW only).

87) HTTPD now does asynchronous reads with from WX-CGI
applications. Need to do something about waiting for
process startup though, as this takes a few seconds and
no other connection gets a look in.

86) Get FORMS working again (MSW only).

85) Seems colour names are case-sensitive so <BODY ...>
now does an implicit 'upper' on them.

84) Fix a problem where the font size got screwed while
paging.

83) I've created makefile.b32 and left out the Borland
IDE files as they are way too humungous.


January 15, 1996 (WXWEB110)
--------------------------

82) Forms not working, sorry.

81) Use conditional USE_HTML_FORMS to derive from
wxPanel instead of wxCanvas and use HTML forms.

80) Fix the off by a little-bit probelm when pointing
at anchors after scrolling down a page.

79) Improve the parse by stacking states.

78) Fix up FILE scheme access.

77) Split off the network stuff in the client. The
base class wxHtml (wxhtml.cc) now works ONLY with
local files (no sockets used at all) and is basically
just a hyper-text system, and the derived class wxWWW
(see wxwww.cc) now performs internetworing and caching.

76) Create WX-CGI protocol. See server/cgi/survey.cc
for example program, and refer to the file
server/document/survey.htm for example form.

75) Add FORMS. Change derivation from a wxCanvas to
a wxPanel for the wxHtml class.

74) Allowing setting colors by name with the BODY
keyword.

73) Record unreachable hosts so as not to waste
time in trying over-and-over to connect.

72) Do some work on relative URL addressing.

71) Help|About and File|OpenFile were not going BACK.

70) Sundry improvements to wxHttpd.


January 2, 1996 (WXWEB109)
-------------------------

69) Add "New Browser" menu item.

68) Fix up "View Source".

67) Show non-inline GIFs on a new page.


January 1, 1996 (WXWEB108)
-------------------------

66) Create real WX style makefiles for Unix.

65) Get rid of connection timers in wxWeb.

64) Modify SIMSOCK to check for EINTR so as to be
signal aware under Unix.

63) Get rid of connection & poll timers in wxHttpd.

62) Now uses tzset() to set timezone information.
You must set the TZ environment variable e.g.
SET TZ=AEST-10.

61) Include modified versions of wx_gif.cc and
wx_image.cc from the wx/utils/image to allow
use of GIF89 format.

60) Change _Wait() in SIMSOCK.CC to check that
socket is connected before calling select().

59) Implement bitmap caching for current page.

58) Oops, set the colour-map for Unix.

57) Could (incorrectly) center a deferred image.

56) Better detection of server keep-alive response
from those that support it (Netscape & MS Gibralta
are the only ones i've seen).

55) Change normal font from wxSWISS to wxDEFAULT to
get things back into some sense of proportion (under
XView wxSWISS is rather large).

54) Need to do a Clear() on the DC as under XView
a Scroll() doesn't do it.

53) Add explicit sb_scrol.o to makefile.unx for XView
and voila... we now have scrolling (shoulda thought
of that before).

52) Don't free() the path returned by wxPathOnly()
as old documentation incorrectly stated it should be.

51) Note: If using Netscape to talk to the wxhttpd
server then you have to turn off proxies.

50) Add menu item in wxWeb to view document source.

49) In longrnd() change 'long' to 'time_t' coz on Alphas
a long is 64 bits, and a time_t is always 32 bits.

48) Defer image-loading where possible so as to display
text first.

47) Optimize going BACK such that if the target is in
the current document then don't reload it.


December 20, 1995 (WXWEB107)
---------------------------

46) Fix emabarassing bug in client connection stuff to
do with keep-alives (caused crash).

45) If URL won't load then mark it in the cache so that
re-paints won't keep trying to load it. This should
eliminate a lot of the screen flashing some people
have complained about. Still leaves the problem of
why they won't load (due to doc-relative addressing
probably).

44) Try and eliminate some GCC re-odering initializations
warning messages (why is this a warning anyway?).

43) If Unix then do an ignore on SIGPIPE, if you don't
like this then you'll have to setup your own handler
as a connection drop out causes one of these on some
platforms (SunOS for instance).

42) If BSD is #defined then look out for pre-ANSI use
of sprintf (returns a pointer not an int).

41) Build in the use of strcasecmp() and strnccasecmp()
into source based on test for wx_msw or not.


December 19, 1995 (WXWEB106)
---------------------------

40) Was incorrectly parsing GIF graphic extension
records.

39) Was doing an unnecessary re-parse of whole document
when setting the scrollbars (it causes an OnPaint() in
MSW).

38) Fixed up some problems with timers and keep-alives,
connection caching should now work!

37) In wxWeb allow for not specifiying a filename i.e.
as in "http://www.microsoft.com".
 
36) If wxhttpd gets a request for a 'null' filename then
look for index.html (or some variant thereof) in the
current directory.

35) Modified wxHttpd server program to handle simultaneous
connections. Basically, added my own wxApp::MainLoop()
handler to cycle thru pending transmissions sending a
chunk at a time.


December 18, 1995 (WXWEB105)
---------------------------

34) Under XView: scrolling doesn't work, image-loading
doesn't work, font sizes are a bit wacky.

33) Commented out call to <TITLE> setting under XView as
second call to SetTitle() crashes.


December 17, 1995 (WXWEB104)
---------------------------

32) Build taglist during initial parsing to allow for
speedy scrolling and jumps.

31) Allow for tiled background images. Borrowed TEMPLE.JPG
and converted it to a GIF for demo purposes.

30) Allow for centering of images.

29) Set the viewport on going BACK before starting to draw.

28) Parse backgound & text colours from <BODY...> statement.

27) Change colour of cached links to indicate they've
been visited.


December 13, 1995 (WXWEB103)
---------------------------

26) Images weren't lining up horizontally.

25) Hacked imaiter.h and imagif.h to do interlacing, local
colourmaps and to ignore comment and graphical control
records (one day soon i'll have a go at transparent
backgrounds). Also got got rid of reading of binary structs
by sizeof, as this won't work if byte-alignment is not set.

24) Implement connection caching in client and have another
go at keep-alives (wish was this in the HTTP spec!). Seems
to be working.

23) Added menu option to disable embedded images if needed
(if page goes blank for page-after-page then it is most
likely an interlaced GIF file and they aren't handled yet,
just turn off to view text only).

22) Allow for embedded <FONT></FONT> but don't yet implement
actual font sizing.

21) Fixed bug whereby a jump to a an anchor in a new page
caused a crash.

20) Fixed bug whereby presence of <BASE> keyword caused
the rest of the form to become invisible!

19) Recognize lots more formatting keywords.

18) Wasn't recognizing path/ as a valid URL spec to an
HTML document.

17) In wxHttpd use GMT timestamp on date responses.


December 10, 1995 (WXWEB102)
---------------------------

16) Implement aligning of text with images.

15) On going BACK scroll to last position.

14) Allow for multiple simultaneous connections in wxHttpd
with configurable connection timeout. Note: I can't get
keep-alive mode working with Netscape.

13) Upgrade to implement HTTP level 1.0 of protocol.


December 9, 1995 (WXWEB101)
---------------------------

12) Add shell execute of ftp program for FTP requests.

11) Enable the logging window in wxHttpd if not WIN32 or
wxVersionNumber > version 1603

10) Fix line-wrapping of anchors screwing-up.

9) Add OnDownload() virtual function to allow dervied class
to handle this themselves (else configurable viewer will
be loaded).

8) Handle relative path addressing.

7) Handle OnSize() events in the parent frame!.


December 8, 1995 (WXWEB100)
---------------------------

6) Limitations: doesn't do text alongside graphics, doesn't
handle forms, in WIN16 wxColourMap goes into a loop (so no
graphics sorry). Compiled only with Borland in 16 & 32 mode,
won't yet run under GCC/Linux/Xview for some reason. Used
with wxWindows 1.63 only. In WIN32 on 95 wxGettextFromUser
doesn't work so can't do an open URL from the menu.

5) Added caching of URLs to temporay filenames. Cache is
cleared on canvas destructor.

4) Wrote a simple Web server for testing. If using a real
Web browser then connect to the simple server by specifying
a URL as follows... http://localhost:80/Wxweb.htm assuming
everything is installed with the default WXWEB directory
structure.

3) Use the wxIma classes (IMATEST sub-directory) for Windows
image handling as the standard classes do not work for GIFs.

2) Create WXWEB program as a start on wxWindows WWW browser.

1) Create WXHTML class which creates a wxCanvas and draws a
representation of an HTML document into it.


Started November 25th, 1995.

